<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Models\User;
use App\Models\Customer;
use App\Models\Vehicles;

class Dashboard extends Controller
{
    public function index()
    {
        $data['dealers'] = User::where(['roleType' => 'Dealer', 'isDeleted' => 1])->count();
        $data['managers'] = User::where(['roleType' => 'Manager', 'isDeleted' => 1])->count();
        $data['vehicles'] = Vehicles::count();
        $data['totalServiced'] = Customer::count();
        $data['todaysCustomers'] = Customer::select('id', 'customerId', 'customerMobile', 'licensePlate', 'state', 'offerAmount', 'offerAcceptedPrice')->where('date', date('Y-m-d'))->get();
        $data['CustomerSources'] = Customer::select('sourceType', DB::raw('count(*) as sourceTotal'))->groupBy('sourceType')->get();
        return view('admin.dashboard', $data);
    }
}