<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\RedirectResponse;
use App\Models\User;

class Index extends Controller
{
    public function login()
    {
        return view('login');
    }
    
    public function admin()
    {
        return view('login');
    }
    
    public function auth(Request $request): RedirectResponse
    {
        // dd($request);
        Auth::logout();
    
        // Invalidate the session to prevent session fixation attacks
        $request->session()->invalidate();
    
        // Regenerate the session token to prevent session fixation attacks
        $request->session()->regenerateToken();

        $credentials = $request->validate([
            'email' => ['required', 'email'],
            'password' => ['required'],
        ]);
 
        if (Auth::attempt($credentials)) {
            $request->session()->regenerate();
 
            return redirect('/dashboard')->with('success', 'You have successfully logged in.');
        }
        return back()->withErrors([
            'email' => 'The provided credentials do not match our records. Try Again',
        ])->onlyInput('email');
    }
    // }
    
    public function logout(Request $request): RedirectResponse
    {
        // Log the user out
        Auth::logout();
    
        // Invalidate the session to prevent session fixation attacks
        $request->session()->invalidate();
    
        // Regenerate the session token to prevent session fixation attacks
        $request->session()->regenerateToken();
    
        // Redirect to the home or login page
        return redirect('/login')->with('success', 'You have successfully logged out. Plz Login Again!');
    }
    
    public function forgotPassword()
    {
        return view('forgotPassword');
    }
}