<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Customer;
use App\Models\User;
use App\Models\Vehicles;

class Reports extends Controller
{
    public function customers(Request $request)
    {
        $data['dealers'] = User::select('url', 'name')->where(['roleType' => 'Dealer', 'isDeleted' => 1])->get();
        $data['managers'] = User::select('id', 'name')->where(['roleType' => 'Manager', 'isDeleted' => 1])->get();
                
        if ($request->query('from') && $request->query('to')) {
            $from = $request->query('from');
            $to = $request->query('to');
        } else {
            $from = date('Y-m-d');
            $to = date('Y-m-d');
        }
        
        $where = [];
        $where[] = ['date', '>=', $from];
        $where[] = ['date', '<=', $to];
        if ($request->query('dealerId') != '' && $request->query('dealerId') != 'All') {
            $where[] = ['dealerId', '=', $request->query('dealerId')];
        }
        if ($request->query('managerId') != '' && $request->query('managerId') != 'All') {
            $where[] = ['managerId', '=', $request->query('managerId')];
        }
        
        $data['customers'] = Customer::select('id', 'date', 'customerId', 'customerMobile', 'licensePlate', 'state', 'model', 'offerAmount')->where($where)->get();
        return view('admin.reports.customers', $data);
    }
    
    public function customerInfo($customerId)
    {
        if (!empty($customerId)) {
            $data['customerInfo'] = Customer::find($customerId);
            return view('admin.reports.customerInfo', $data);
        } else {
            return redirect()->back()->with('refresh', true);
        }
    }
    
    public function serviceInfo($customerId)
    {
        if (!empty($customerId)) {
            $data['customerInfo'] = Customer::find($customerId);
            return view('admin.reports.serviceInfo', $data);
        } else {
            return redirect()->back()->with('refresh', true);
        }
    }
    
    public function vehicles()
    {
        $data['vehicles'] = Vehicles::all();
        return view('admin.reports.vehicles', $data);
    }
}