<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;
use App\Http\Middleware\UserAuth;
use App\Http\Middleware\managerAuthentication;


return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware) {
        //
        // $middleware->append(UserAuth::class);
        // 'auth.custom' => \App\Http\Middleware\EnsureUserIsAuthenticated::class,
        // $middleware->append('web', UserAuth::class);

        $middleware->use([
         
            App\Http\Middleware\UserAuth::class,
            App\Http\Middleware\managerAuthentication::class,

        ]);

    })
    ->withExceptions(function (Exceptions $exceptions) {
        //
    })->create();
