@extends('admin.master')

@section('title')
Vehicles Report
@endsection()

@section('content')

<style type="text/css">
    th, td {
        white-space: nowrap;
    }
</style>

<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6">
                <h5>Vehicles Report</h5>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="{{ url('dashboard'); }}">Home</a></li>
                    <li class="breadcrumb-item">Reports</li>
                    <li class="breadcrumb-item active">Vehicles</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card card-outline card-navy">
                    <div class="card-header">
                        <div class="title">
                            <h3 class="card-title text-navy">Vehicles</h3>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead class="bg-navy">
                                    <tr>
                                        <th>Sr</th>
                                        <th>Date</th>
                                        <th>License Plate</th>
                                        <th>State</th>
                                        <th>vin</th>
                                        <th>Year</th>
                                        <th>Make</th>
                                        <th>Model</th>
                                        <th>Class</th>
                                        <th>Country</th>
                                        <th>Body</th>
                                        <th>Engine</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($vehicles as $vehicle)
                                    <tr>
                                        <td>{{ $loop->iteration; }}</td>
                                        <td>{{ date('d-m-Y', strtotime($vehicle->date)); }}</td>
                                        <td>{{ $vehicle->licensePlate; }}</td>
                                        <td>{{ $vehicle->state; }}</td>
                                        <td>{{ $vehicle->vin; }}</td>
                                        <td>{{ $vehicle->year; }}</td>
                                        <td>{{ $vehicle->make; }}</td>
                                        <td>{{ $vehicle->model; }}</td>
                                        <td>{{ $vehicle->class; }}</td>
                                        <td>{{ $vehicle->country; }}</td>
                                        <td>{{ $vehicle->body; }}</td>
                                        <td>{{ $vehicle->engine; }}</td>
                                    </tr>
                                    @endForeach
                                </tbody>
                            </table>
                        </div>
                        <!-- /.table-responsive -->
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->        
    </div><!-- /.container-fluid -->
</section>
@endsection()

@section('javaScript')
<script type="text/javascript">
    $(function () {
        $("table").DataTable({
            "responsive": true,
            "lengthChange": false,
            "autoWidth": false,
            "pageLength": 20,
            "lengthMenu": [[20, 50, 100, -1], [20, 50, 100, "All"]],
            "buttons": ["copy", "excel", "pdf", "print", "pageLength"]
        }).buttons().container().appendTo('#DataTables_Table_0_wrapper .col-md-6:eq(0)');
    });
</script>
@endsection()