<div class="modal-header">
    <h5 class="modal-title">Dealer Information</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class="row">
        <div class="col-md-12">
            <div class="table-responsive">
                <table class="table table-bordered table-sm">
                    <thead class="bg-purple text-white">
                        <tr>
                            <th>Field Name</th>
                            <th>Column Data</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <th>Name</th>
                            <td>{{ $user->name }}</td>
                        </tr>
                        <tr>
                            <th>Email</th>
                            <td>{{ $user->email }}</td>
                        </tr>
                        <tr>
                            <th>Mobile Number</th>
                            <td>{{ $user->countryCode . $user->mobile }}</td>
                        </tr>
                        <tr>
                            <th>Logo Image</th>
                            <td>
                                @if($user->profile)
                                <img src="{{ asset('storage/assets/images/' . $user->profile); }}" alt="Logo-Image" style="width: 100px; height: auto; border-radius: 5px;" />
                                @else
                                <img src="{{ asset('assets/images/avatar.png'); }}" alt="default-Image" style="width: 100px; height: auto; border-radius: 5px;" />
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>Street</th>
                            <td>{{ $user->street }}</td>
                        </tr>
                        <tr>
                            <th>City</th>
                            <td>{{ $user->city }}</td>
                        </tr>
                        <tr>
                            <th>State</th>
                            <td>{{ get_title('states', ['id' => $user->state], 'name'); }}</td>
                        </tr>
                        <tr>
                            <th>Zip</th>
                            <td>{{ $user->zip }}</td>
                        </tr>
                        <tr>
                            <th>country</th>
                            <td>{{ get_title('country', ['id' => $user->country], 'nicename'); }}</td>
                        </tr>
                        <tr>
                            <th>QR Code</th>
                            <td>
                                @if($user->qrcode)
                                <img src="{{ asset('storage/assets/qrcodes/' . $user->qrcode); }}" alt="qr-code" style="width: 100px; height: auto; border-radius: 5px;" />                                
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>Dealer URL</th>
                            <td>
                                QR Url : 
                                <a href="{{ url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=qr'); }}" target="_blank" title="Dealer URL">
                                    {{ url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=qr'); }}
                                </a>
                                <button class="btn btn-info btn-xs" title="Copy URL" onclick="copyToClipboard('{{ url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=qr'); }}');">
                                    <i class="fa fa-copy"></i>
                                </button>
                                <br />
                                Website Url : 
                                <a href="{{ url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=web'); }}" target="_blank" title="Dealer URL">
                                    {{ url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=web'); }}
                                </a>
                                <button class="btn btn-info btn-xs" title="Copy URL" onclick="copyToClipboard('{{ url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=web'); }}');">
                                    <i class="fa fa-copy"></i>
                                </button>                                
                                <br />
                                Text Url : 
                                <a href="{{ url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=text'); }}" target="_blank" title="Dealer URL">
                                    {{ url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=text'); }}
                                </a>
                                <button class="btn btn-info btn-xs" title="Copy URL" onclick="copyToClipboard('{{ url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=text'); }}');">
                                    <i class="fa fa-copy"></i>
                                </button>                                
                                <br />
                                Other Url : 
                                <a href="{{ url('/VehicleAppraisal?dealerId=' . $user->url); }}" target="_blank" title="Dealer URL">
                                    {{ url('/VehicleAppraisal?dealerId=' . $user->url); }}
                                </a>
                                <button class="btn btn-info btn-xs" title="Copy URL" onclick="copyToClipboard('{{ url('/VehicleAppraisal?dealerId=' . $user->url); }}');">
                                    <i class="fa fa-copy"></i>
                                </button>                                
                            </td>
                        </tr>
                        <tr>
                            <th>Status</th>
                            <td>
                                <label for="" class="btn btn-xs {{ $user->status == '1' ? 'bg-success' : 'bg-danger' }}">
                                    @if ($user->status == '1')
                                        <i class="fa fa-thumbs-up"></i>  Active
                                    @else
                                        <i class="fa fa-ban"></i>  Inactive
                                    @endif
                                </label>
                            </td>                        </tr>
                        <tr>
                            <th>Created</th>
                            <td>{{ $user->created }}</td>
                        </tr>
                        <tr>
                            <th>Created By</th>
                            <td>{{ $user->createdBy }}</td>
                        </tr>
                        <tr>
                            <th>Updated</th>
                            <td>{{ $user->updated }}</td>
                        </tr>
                        <tr>
                            <th>Updated By</th>
                            <td>{{ $user->updatedBy }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Close</button>
</div>