                @extends('home.layout')

                @section('title')
                Customer Accept Offer
                @endsection()

                @section('content')
                <style>
                     .custom-toastr .toast-message {
                  color: white !important;
                       }
                     /* .offcanvas {
                        position: relative;

                       } */
                </style>
                <div class="form-group">
                    <input class="form-control" type="text" id="offerAmount" value="{{ $Customer->offerAmount }}">
                </div>

                <div class="form-group">
                    <button class="btn btn-primary w-100" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasBottom" aria-controls="offcanvasBottom" id="acceptOffer">Accept Offer</button>
                    <div class="btn btn-success w-100" style="display:none;" id="acceptedOffer">Offer Accepted</div>
                    <p class="small-text">The above offer is good for 7 days. All offers are subject to final inspection at the dealership.</p>
                </div>
 

                <div class="offcanvas offcanvas-bottom" tabindex="-1" id="offcanvasBottom" aria-labelledby="offcanvasBottomLabel">
                    <div class="offcanvas-body small">
                        <h5 class="offcanvas-title text-center mb-3">PLEASE CONFIRM “ACCEPT OFFER”</h5>
                        <div class="row">
                            <div class="col-6">
                                <a href="javascript:void(0);" class="btn btn-success w-100" id="confirmSubmit" data-bs-dismiss="offcanvas" aria-label="Close">Yes</a>
                            </div>
                            <div class="col-6">
                                <button type="button" class="btn btn-secondary text-reset w-100" data-bs-dismiss="offcanvas" aria-label="Close">No</button>
                            </div>
                            <div class="col-12">
                                <p class="small-text mt-2 text-center">Your offer is good for 7 days. All offers are subject to final inspection at the dealership.</p>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="vehicle-details">
                    <h5>Your Car:</h5>
                    <ul class="list-unstyled">
                        <li><strong>{{ $Customer->year }}  {{ $Customer->make }}  {{ $Customer->model }}</strong></li>
                        <li><strong>Color:</strong> {{ $Customer->color }}</li>
                        <?php if($Customer->serviceType == 'No'){  ?>
                         <li><strong>Mileage:</strong> {{ $Customer->mileage }} </li>

                            <?php } ?>
                        <li><strong>License Plate:</strong> {{ $Customer->licensePlate }}</li>
                        <li><strong>State:</strong> {{ $Customer->state }}</li>
                        <li><strong>VIN:</strong> {{ $Customer->vin }}</li>
                    </ul>
                </div>

                <p>If you accept our offer, the used car manager who reviewed your car will call you to coordinate all details including payment for your car.</p>
                <p>If you enjoyed this experience, please recommend us to a family member or friend. We’d greatly appreciate any referrals!</p>
                <p>
                    <strong>Thank you!</strong><br>
                    McGrath Honda of St. Charles
                </p>
                @endSection()

                @section('javaScript')
                <script type="text/javascript">


    

          //  $(document).ready(function () {
    $('#offerAmount').on('keyup', function () {
        var inputValue = $(this).val().trim();
        var numericPattern = /^\d+(\.\d{1,2})?$/; // Matches digits with optional decimals
        var isValid = numericPattern.test(inputValue);

        console.log(inputValue, 'isValid:', isValid);
        
        // Only show error if input is not valid
        if (!isValid && inputValue.length > 0) {
            toastr.options = {
                "closeButton": true,
                "debug": false,
                "newestOnTop": true,
                "progressBar": true,
                "positionClass": "toast-top-right",
                "preventDuplicates": false,
                "onclick": null,
                "showDuration": "300",
                "hideDuration": "1000",
                "timeOut": "6000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut",
                "toastClass": "custom-toastr" // Add custom class
            };
            toastr.error('Please enter a valid amount (e.g., 1200, 28.50).', 'Invalid format', {timeOut: 3000});
        }
        
        $('#acceptOffer').attr('disabled', !isValid || inputValue === '');
    });
// });


$('#confirmSubmit').on('click', function () {
    var currentURL = window.location.href;
    var urlSegments = currentURL.split('/');
    var lastSegment = urlSegments[urlSegments.length - 1];

    if (lastSegment.indexOf('?') !== -1) {
        lastSegment = lastSegment.split('?')[0];
    }

    $.ajax({
        url: '{{ route("customer.accept.offer-ajax") }}',
        type: 'POST',
        data: {
            _token: '{{ csrf_token() }}', // Laravel CSRF token
            Custurl: lastSegment,
            offerAmount: $('#offerAmount').val() // Use comma instead of semicolon
        },
        success: function(response) {
            console.log(response);
            if (response.success) {
                $('#sentOfr').show();
                $('#submitOfr').hide();
                toastr.options = {
                "closeButton": true,
                "debug": false,
                "newestOnTop": true,
                "progressBar": true,
                "positionClass": "toast-top-right",
                "preventDuplicates": false,
                "onclick": null,
                "showDuration": "300",
                "hideDuration": "1000",
                "timeOut": "6000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut",
                "toastClass": "custom-toastr" // Add custom class
            };
                toastr.success('Offer submitted by Customer successfully.', 'Success', {timeOut: 4000});
           $('#acceptedOffer').show();
           $('#acceptOffer').hide();

           var url =  '{{ route("CustomerOfferAccepted") }}';
                
                setTimeout(function(){
                 window.location.href = url;
                  }, 4000); 
            } else {
                alert("An error occurred. Please try again.");
            }
        },
        error: function(xhr, status, error) {
            alert("An error occurred. Please try again after some time.");
        }
    });
});
                </script>
                @endSection()                                