            @extends('home.layout')

            @section('title')
            Home
            @endsection()

            @section('content')
            <style type="text/css">
                .custom-toastr .toast-message {
                    color: white !important;
                }
            </style>
            
            <div class="page-logo text-center">
                <img src="{{ asset('frontendAssets/images/logo.png'); }}" alt="logo" />
            </div>
            
            <form action="{{ url('/vehicleDetails'); }}" method="POST" autocomplete="off">
                @csrf
                <div class="form-group mt-3">
                    <label class="text-center">Is your car currently being serviced?</label>
                    <div class="row">
                        <div class="col-6">
                            <div class="form-check justify-content-center">
                                <input type="radio" name="carService" value="Yes" id="Yes" {{ old('carService') == 'Yes' ? 'checked' : '' }} class="form-check-input" required="" />
                                <label class="form-check-label" for="Yes">
                                    Yes
                                </label>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-check justify-content-center">
                                <input type="radio" name="carService" value="No" id="No" {{ old('carService') == 'No' ? 'checked' : '' }} class="form-check-input" required="" />
                                <label class="form-check-label" for="No">
                                    No 
                                   
                                </label>
                            </div>
                        </div>
                    </div>
                   
                </div>
                <div class="form-group mt-3">
                    
                    <label class="text-center text-danger" style="font-weight:500;">
                        @error('error')
                            {{$message}}
                        @enderror
                    </label>               
                 </div>

                <div class="card vehicle-card mb-3">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-8">
                                <div class="form-group">
                                    <label for="licensePlate">License Plate</label>
                                    <input type="text" name="licensePlate" value="{{ old('licensePlate'); }}" id="licensePlate" class="form-control" placeholder="Enter your license plate" required="" />
                                    <span class="text-danger">
                                        @error('licensePlate')
                                            {{$message}}
                                        @enderror
                                      
                                    </span>
                                </div>
                            </div>
                            <div class="col-4">
                                <div class="form-group">
                                    <label for="state">State</label>
                                    <select name="state" id="state" class="form-select" required title="State">
                                        @foreach($states as $state)
                                            <option value="{{ $state->name }}">{{ $state->name }}</option>
                                        @endforeach
                                    </select>
                                    <span class="text-danger">
                                        @error('state')
                                            {{$message}}
                                        @enderror
                                      
                                    </span>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <label for="vin">VIN (optional)</label>
                                    <input type="text" name="vin" value="{{ old('vin'); }}" id="vin" class="form-control" placeholder="Enter 17 digit VIN number" />
                                </div>
                            </div>
                           
                            <div class="col-12">
                                <button type="submit" class="btn btn-primary w-100">Get Started</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
            <div class="text-center">
                <p>Curious what your car is worth?</p>
                <p>Receive a no obligation cash offer from a qualified used car manager right here on your phone!</p>
                <p>If your car is currently being serviced a used car manager will receive your request in less than 60 seconds. Enter your license plate to get started.</p>
            </div>
            <?php $appraisalConfirm='false';
            if(session('appraisalConfirmed')){
                $appraisalConfirm = session('appraisalConfirmed');
            }
              ?>
               
            @endSection()
            
            @section('javaScript')
            <script type="text/javascript">
                setTimeout(function () {
                    $('#splashscreen').fadeOut();
                    $(".overflowauto").css({"overflow": "auto"});
                }, 4000);
                
                $(document).ready(function(){
    var appraisalConfirmed = `{{ $appraisalConfirm ?? '' }}`;
    if(appraisalConfirmed == 'true') {
        toastr.options = {
            "closeButton": true,
            "debug": false,
            "newestOnTop": true,
            "progressBar": true,
            "positionClass": "toast-top-right",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "1000",
            "timeOut": "6000",
            "extendedTimeOut": "1000",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut",
            "toastClass": "custom-toastr" // Add custom class
        };
        toastr.success('Your Appraisal Request has been sent successfully. Please check the text message on your mobile number.', 'Success');
    }
});
            </script>
            @endSection()