@extends('home.layout')

@section('title')
Manager Link Authentication
@endsection()

@section('content')

<form action="{{ url('/'); }}" method="POST" autocomplete="off">
    @csrf
    <div class="form-group text-center mobile-number">
        <label>Mobile Number</label>
        <div class="input-group mb-3">
         <?php   
         $mobile =  session()->get('managermobile');
         $countryCode =  session()->get('managercountryCode');
     ?>
        <div class="input-group-prepend">
            {!! countrySelect($countryCode) !!}
           
        </div>
        <input class="form-control text-center" type="text" name="mobile" placeholder="555-555-5555" required value="{{ $mobile }}" id="mobile">
    </div>
    <p class="small-text mt-2">We've just sent a 6-digit verification code.
        It may take a moment to arrive.</p>

    </div>

<div class="form-group text-center otp-number">
    <label>Verification Code</label>
    <input class="form-control text-center" type="text" value="" placeholder="XXXXXX" id="otp">
  <span style="color:red;font-weight: 500;display:none;" id="otpError">The verification code you entered above is not correct.</span>
</div>

<div class="col-12">
    <a href="javascript:void(0);" class="btn btn-primary w-100" id="agree">I Agree</a>

</div>
<input type="hidden" name="mangerOTP" value="{{ session()->get('managerOTP')}}" id="mangerOTP">
</form>
<p class="small-text text-center mt-2">By clicking "I Agree", you agree to our Terms of Use
    and Privacy Policy and consent to receive text
    messages from us. Message and data rates apply.
    Text STOP to cancel.</p>                
@endSection()

@section('javaScript')
<script>
    $('#otp').on('keyup', function() {
       $('#otpError').hide();

    });

$(document).ready(function(){
   toastr.success('OTP has been sent successfully to your mobile number.', 'Success', {timeOut: 5000});
 });
               $(document).ready(function() {
                   $('#agree').on('click', function() {
                       var mobile = $('#countryCode').val()+$('#mobile').val();
                      
                       var otp = $('#otp').val();
                        var mangerOTP = $('#mangerOTP').val();
                       if (otp.length !== 6 || isNaN(otp)) {
                           $("#otp").focus();
                           toastr.error('Please enter a valid 6-digit OTP.', 'Invalid OTP', {timeOut: 5000});
                               return;
                          }
              if(mangerOTP == otp){
                toastr.success('OTP verified successfully!', 'Success', {timeOut: 3000});
                var url =  '{{ route("openAppraisal") }}';
                setTimeout(function(){
                                window.location.href = url;
                     }, 1000); 
              }else{
                $('#otpError').show();
              }
                   });
               });
           </script>
<script type="text/javascript">

</script>
@endSection()                