@extends('home.layout')

@section('title')
Vehicle Service NO
@endsection()

@section('content')

<style>
.readolny-radio{
     pointer-events: none;
     opacity: .5;
    } 

</style>
<div class="back-btn-d">
    <a href="javascript:history.back()" class="back-btn">
        <i class="fa fa-chevron-circle-left"></i> Back to previous screen
    </a>
</div>
<form action="{{ url('/verifySendOTP'); }}" method="POST" autocomplete="off">
    @csrf
<div class="form-group mt-3">
<label class="text-center">Is your car currently being serviced?</label>
    <div class="row">
        <div class="col-6">
            <div class="form-check justify-content-center">
                <input class="form-check-input readolny-radio" type="radio" name="carService"  value="Yes" {{ (session()->get('carService') == 'Yes') ? 'checked' : ''}} id="che001"  required="">
                <label class="form-check-label" for="che001">Yes</label>
            </div>
        </div>
        
        <div class="col-6">
            <div class="form-check justify-content-center">
                <input class="form-check-input readolny-radio" type="radio" name="carService" value="No" id="che002" {{ (session()->get('carService') == 'No') ? 'checked' : ''}}  required="">
                <label class="form-check-label" for="che002">No</label>
            </div>
        </div>
        <span class="text-danger">
            @error('carService')
                {{$message}}
            @enderror
          
        </span>
    </div>
</div>

<div class="vehicle-details">
    <h5>Your Car: </h5>
    <?php
    $vehicleDetailsResponse = session()->get('vehicleDetailsResponse');

if(is_array($vehicleDetailsResponse)){
    $vehicle = $vehicleDetailsResponse['recallPlus']['vehicle'][0];
              
// }elseif(is_object($vehicleDetailsResponse)){

     }  else {
       
    $vehicleDetailsResponse = json_decode(json_encode($vehicleDetailsResponse), true);
    $vehicle = $vehicleDetailsResponse['original']['recallPlus']['vehicle'][0];
              }
    // $vehicle = $vehicleDetailsResponse['recallPlus']['vehicle'][0];
   $vin = $vehicle['vin'];
   $vinspec = $vehicle['vinspec'];
  $year = $vinspec['year'];
  $make = $vinspec['make'];
  $model = $vinspec['model'];
?>
    <ul class="list-unstyled">

        <li><strong> {{ $year }}  {{ $make }} {{ $model }}</strong></li>
        <li><strong>License Plate:</strong> <?= session()->get('licensePlate');?></li>
        <li><strong>State:</strong> <?= session()->get('state');?></li>
        <li><strong>VIN:</strong> {{ $vin }}</li>
    </ul>
</div>

<p>What color is your car and who is your service advisor? This will help our used car manager quickly locate your car.</p>
<div class="form-group">
    <label>Color (required)</label>
    <input class="form-control" type="text" name="carColor" placeholder="" value="{{ old('carColor'); }}" required>
    <span class="text-danger">
        @error('carColor')
            {{$message}}
        @enderror
    </span>
</div>
<div class="form-group">
    <label>Service or Sales Advisor (optional)</label>
    <input class="form-control" type="text" name="serviceAdvisor" id="serviceAdvisor" placeholder="" value="{{ old('serviceAdvisor'); }}">
    <div class="row" style="margin-top: 7px;">
        <div class="col-6">
            <div class="form-check justify-content-center">
                <input class="form-check-input" type="radio" name="AdvisorCheck"  value="SERVICE" id="SERVICE" {{ (session()->get('AdvisorCheck') == 'SERVICE') ? 'checked' : ''}}   required="" />
                <label class="form-check-label" for="che001">SERVICE</label>
            </div>
        </div>
        
        <div class="col-6">
            <div class="form-check justify-content-center">
                <input class="form-check-input" type="radio" name="AdvisorCheck" value="SALES" id="SALES" {{ (session()->get('AdvisorCheck') == 'SALES') ? 'checked' : ''}}  required="" />
                <label class="form-check-label" for="che002">SALES</label>
            </div>
        </div>
       
    </div>
</div>
<p class="text-center">What is your mobile number? Your privacy is very important to us. <u>You will receive 2 text messages;</u> (1) your appraisal confirmation, and (2) your no obligation cash offer and a reminder than your offer is good for 7 days.</p>


<div class="form-group text-center mobile-number">
    <label>Mobile Number</label>
    <div class="input-group mb-3">
        <div class="input-group-prepend">
            {!! countrySelect($selectedCountryCode='+1') !!}           
        </div>
        <input class="form-control" type="text" name="mobile" id="mobile" placeholder="Enter your mobile number" required value="{{ old('mobile'); }}">
      </div>                  
        <span class="text-danger">
        @error('otp_error')
            {{-- {{$message}} --}}
        @enderror
       
    @if (session('otp_error'))
                        {{ session('otp_error') }}
                    @endif         
                    @error('mobile')
                        {{$message}}
                    @enderror
    </span>
</div>
<div class="col-12">
    <button type="submit" class="btn btn-primary w-100" id="submit">Next (Final Step)</button>

    {{-- <a href="otp.html" class="btn btn-primary w-100">Submit / Get Cash Offer</a> --}}
</div>
<input type="hidden" name="vin" value="{{ $vehicle['vin'] }}">

<input type="hidden" name="YourCar" value="{{ $year }}  {{ $make }} {{ $model }}">

<input type="hidden" name="make" value="{{ $vehicle['vinspec']['make'] }}">
<input type="hidden" name="model" value="{{ $vehicle['vinspec']['model'] }}">
<input type="hidden" name="year" value="{{ $vehicle['vinspec']['year'] }}">
<input type="hidden" name="licensePlate" value="<?= session()->get('licensePlate');?>">
<input type="hidden" name="state" value="<?= session()->get('state');?>">
</form>
<p class="text-center mt-2 small-text">By clicking "Submit" you accept our Terms of Use and
    have read and understood the Privacy Policy.</p>            
@endSection()

@section('javaScript')
<script type="text/javascript">
             $(document).ready(function () {
                var serviceAdvisor =$('#serviceAdvisor').val();
                var mobile =$('#mobile').val();

                
                if(serviceAdvisor ==''){
                    $('#SERVICE').attr('disabled',true);
                   $('#SALES').attr('disabled',true);
                }
                if(mobile ==''){
                    $('#submit').attr('disabled',true);

                }
             })
             $('#serviceAdvisor').on('keyup', function () {
                var serviceAdvisor =$(this).val();
                
                if(serviceAdvisor == ''){
                    $('#SERVICE').attr('disabled',true);
                    $('#SALES').attr('disabled',true);
                }else{
                    $('#SERVICE').attr('disabled',false);
                    $('#SALES').attr('disabled',false);
                }
             })

             $('#mobile').on('keyup', function () {
                var mobile =$(this).val();
                if(mobile == ''){
                    $('#submit').attr('disabled',true);
                }else{
                    $('#submit').attr('disabled',false);

                }
             })

</script>
@endSection()