<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <title>Drive MVP | Login</title>
        <link rel="shortcut icon" href="{{ asset('assets/images/favicon.png'); }}" />
        <!-- Google Font: Source Sans Pro -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback" />
        <!-- Font Awesome -->
        <link rel="stylesheet" href="{{ asset('assets/css/all.min.css'); }}" />
        <!-- icheck bootstrap -->
        <link rel="stylesheet" href="{{ asset('assets/css/icheck-bootstrap.min.css'); }}" />
        <!-- Theme style -->
        <link rel="stylesheet" href="{{ asset('assets/css/styles.min.css'); }}" />
    </head>
    <body class="hold-transition login-page">
        <div class="login-box">
            <!-- /.login-logo -->
           
            <div class="card card-outline card-primary">
                <div class="card-header text-center">
                    <a href="{{ url('/'); }}" class="h1"><b>Drive MVP</b> Panel</a>
                </div>
                <div class="card-body">
                    {{-- @if (session('success'))
                    <div class="alert alert-success alert-dismissible fade show" role="alert" id="flash-message">
                        {{ session('success') }}
                    </div>
                       @endif  --}}
                    <p class="login-box-msg">Sign in to start your session</p>

                    <form action="{{ url('/auth') }}" method="POST" >
                        @csrf
                        <div class="input-group mb-3">
                            <input type="email" name="email"  class="form-control" placeholder="Email" value="{{ old('email') }}">
                            <div class="input-group-append">
                                <div class="input-group-text">
                                    <span class="fas fa-envelope"></span>
                                </div>
                            </div>
                        </div>
                        <div class="input-group mb-3">
                            <input type="password" class="form-control" name="password"  placeholder="Password">
                            <div class="input-group-append">
                                <div class="input-group-text">
                                    <span class="fas fa-lock"></span>
                                </div>
                            </div>
                           
                        </div>
                        <span class="text-danger">
                            @error('email')
                                {{$message}}
                            @enderror
                        </span>
                        <span class="text-danger">
                            @error('password')
                                {{$message}}
                            @enderror
                        </span>
                        <div class="row">
                            <div class="col-8">
                                <div class="icheck-primary">
                                    <input type="checkbox" id="remember">
                                    <label for="remember">
                                        Remember Me
                                    </label>
                                </div>
                            </div>
                            <!-- /.col -->
                            <div class="col-4">
                                <button type="submit" class="btn btn-primary btn-block">Sign In</button>
                            </div>
                            <!-- /.col -->
                        </div>
                    </form>

                    <p class="mb-1">
                        <a href="{{ url('forgot-password'); }}">I forgot my password</a>
                    </p>
                </div>
                <!-- /.card-body -->
            </div>
            <!-- /.card -->
        </div>
        <!-- /.login-box -->

        <!-- jQuery -->
        <script src="{{ asset('assets/js/jquery.min.js'); }}"></script>
        <!-- Bootstrap 4 -->
        <script src="{{ asset('assets/js/bootstrap.bundle.min.js'); }}"></script>
        <!-- Script -->
        <script src="{{ asset('assets/js/script.min.js'); }}"></script>
    </body>
</html>