<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Index;
use App\Http\Controllers\Dashboard;
use App\Http\Controllers\Users;
use App\Http\Controllers\Home;
use App\Http\Controllers\Reports;
use App\Http\Controllers\ManagerLink;
use App\Http\Middleware\UserAuth;
use App\Http\Middleware\managerAuthentication;

/// service type YES customer section

Route::get('/VehicleAppraisal', [Home::class, 'index']);

Route::get('/vehicleDetail', [Home::class, 'vehicleDetails']);
Route::post('/vehicleDetails', [Home::class, 'findVehicle']);

Route::get('/verifyOTP', [Home::class, 'verifyUserOTP']);
Route::post('/verifySendOTP', [Home::class, 'verifyOTP']);
Route::post('/verify-otp-ajax', [Home::class, 'verifyOtpAjax'])->name('verifyOtpAjax');
Route::get('/appraisalConfirmCustomer', [Home::class, 'appraisalConfirmCutomer'])->name('appraisalConfirmCustomer');
Route::get('/CustomerOfferAccepted', [Home::class, 'CustomerOfferAccepted'])->name('CustomerOfferAccepted');


/// service type NO customer section
Route::get('/vehicleServiceNo', [Home::class, 'vehicleDetailNo']);
Route::get('/verifyServiceNo', [Home::class, 'verifyServiceNo']);
Route::post('/verify-ServiceNo-ajax', [Home::class, 'verifyServiceNoAjax'])->name('verifyServiceNoAjax');
Route::get('/vehicleImage', [Home::class, 'vehicleImage'])->name('vehicleImage');
Route::post('/vehicleImageUpload', [Home::class, 'vehicleImageUpload']);




/// manager login and send appraisal to customer section
Route::get('/managerAuth', [ManagerLink::class, 'managerAuth'])->name('managerAuth');
Route::post('/managerVerifyOTP', [ManagerLink::class, 'managerVerifyOTP']);

Route::middleware(managerAuthentication::class)->group(function () {
    Route::get('/managerVerify', [ManagerLink::class, 'managerVerify']);
    Route::get('/openAppraisal', [ManagerLink::class, 'openAppraisal'])->name('openAppraisal');
    Route::post('/saveOpenAppraisal', [ManagerLink::class, 'saveOpenAppraisal'])->name('saveOpenAppraisal');
    Route::get('/managerSubmitOffer', [ManagerLink::class, 'managerSubmitOffer'])->name('managerSubmitOffer');
    Route::post('/managerSend-ajax', [ManagerLink::class, 'managerSendAjax'])->name('managerSend-ajax');
    Route::post('/managerSubmitOffer-ajax', [ManagerLink::class, 'managerSubmitOfferAjax'])->name('managerSubmitOffer-ajax');
});

// customer receive msg from manager of offer
Route::get('/customerAcceptOffer/{custId}', [Home::class, 'customerAcceptOffer'])->name('customer.accept.offer');
Route::post('/customerAcceptOffer-ajax', [Home::class, 'customerAcceptOfferAjax'])->name('customer.accept.offer-ajax');


//manager  receive msg from customer of accepted offer
Route::get('/managerAcceptOffer/{managerurl}', [ManagerLink::class, 'managerAcceptOffer'])->name('manager.accept.offer');




Route::get('/admin', [Index::class, 'admin']);
Route::get('/login', [Index::class, 'login'])->name('login');
Route::post('/auth', [Index::class, 'auth']);
Route::get('/logOut', [Index::class, 'logout']);
Route::get('/forgot-password', [Index::class, 'forgotPassword']);

Route::middleware(UserAuth::class)->group(function () {
    Route::get('/dashboard', [Dashboard::class, 'index']);

    Route::get('/users', [Users::class, 'index']);    
    Route::get('/managers', [Users::class, 'managers']);
    Route::get('/manager/create', [Users::class, 'managerCreate']);
    Route::post('/managers/save', [Users::class, 'saveManager']);
    Route::get('/manager/edit/{id}', [Users::class, 'managerEdit']);
    Route::post('/manager/update/{id}', [Users::class, 'managerUpdate']);
    Route::get('/manager/info/{id}', [Users::class, 'managerInfo']);  

    Route::get('/dealers', [Users::class, 'index']);
    Route::get('/dealer/create', [Users::class, 'create']);
    Route::get('/dealer/edit/{id}', [Users::class, 'edit']);
    Route::post('/user/save', [Users::class, 'save']);
    Route::get('/user/status/{id}', [Users::class, 'status']);
    Route::get('/user/info/{id}', [Users::class, 'info']);
    Route::post('/user/update/{id}', [Users::class, 'update']);
    Route::get('/user/delete/{id}', [Users::class, 'delete']);
    Route::get('/user/profile', [Users::class, 'profile']);
    Route::post('/user/updateProfile', [Users::class, 'updateProfile']);
    Route::post('/user/changePassword', [Users::class, 'changePassword']);
    Route::get('/QRcode', [Users::class, 'showQRcode']);
    Route::get('/showQRcode/{dealerId}', [Users::class, 'showQRcode']);
    Route::get('/download-QRpdf/{dealerId}', [Users::class, 'downloadQRcodePDF'])->name('dealer.downloadQRpdf');
    Route::get('/download-pdf/{dealerId}', [Users::class, 'downloadPDF'])->name('dealer.download');
    
    Route::get('/reports/customers', [Reports::class, 'customers']);
    Route::get('/reports/serviceInfo/{id}', [Reports::class, 'serviceInfo']);
    Route::get('/reports/customerInfo/{id}', [Reports::class, 'customerInfo']);
    Route::get('/reports/vehicles', [Reports::class, 'vehicles']);
});

Route::get('/customerVehicleImages/{customerId}', [Home::class, 'customerVehicleImages'])->name('customerVehicleImages');