

<?php $__env->startSection('title'); ?>
Customer Information
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6">
                <h5>Customer Information</h5>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('dashboard')); ?>">Home</a></li>
                    <li class="breadcrumb-item">Reports</li>
                    <li class="breadcrumb-item active">Customer Information</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card card-outline card-success">
                    <div class="card-header">
                        <div class="title">
                            <h3 class="card-title text-success">Customer Information</h3>
                            <a href="<?php echo e(url('/reports/customers')); ?>" class="btn btn-success btn-sm float-right" title="Back">
                                <i class="fa fa-angle-double-left"></i> Back
                            </a>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-bordered table-sm">
                                <thead class="bg-success text-white">
                                    <tr>
                                        <th>Field Name</th>
                                        <th>Column Data</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <th>Date</th>
                                        <td><?php echo e(date('d-m-Y', strtotime($customerInfo->date))); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Customer Id</th>
                                        <td><?php echo e($customerInfo->customerId); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Source Type</th>
                                        <td><?php echo e($customerInfo->sourceType); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Service Type</th>
                                        <td><?php echo e($customerInfo->serviceType); ?></td>
                                    </tr>
                                    <tr>
                                        <th>License Plate</th>
                                        <td><?php echo e($customerInfo->licensePlate); ?></td>
                                    </tr>
                                    <tr>
                                        <th>state</th>
                                        <td><?php echo e($customerInfo->state); ?></td>
                                    </tr>
                                    <tr>
                                        <th>VIN</th>
                                        <td><?php echo e($customerInfo->vin); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Year</th>
                                        <td><?php echo e($customerInfo->year); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Customer Id</th>
                                        <td><?php echo e($customerInfo->customerId); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Make</th>
                                        <td><?php echo e($customerInfo->make); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Model</th>
                                        <td><?php echo e($customerInfo->model); ?></td>
                                    </tr>
                                    <tr>
                                        <th>color</th>
                                        <td><?php echo e($customerInfo->color); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Service Advisor Name</th>
                                        <td><?php echo e($customerInfo->serviceAdvisorName); ?></td>
                                    </tr>
                                    <?php if($customerInfo->serviceType == 'No'): ?>
                                    <tr>
                                        <th>Front View</th>
                                        <td>
                                            <img src="<?php echo e(asset('storage/carImages/' . $customerInfo->frontView)); ?>" style="width: 100px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>Driver View</th>
                                        <td>
                                            <img src="<?php echo e(asset('storage/carImages/' . $customerInfo->driverView)); ?>" style="width: 100px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>Rear View</th>
                                        <td>
                                            <img src="<?php echo e(asset('storage/carImages/' . $customerInfo->rearView)); ?>" style="width: 100px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>Passenger Side</th>
                                        <td>
                                            <img src="<?php echo e(asset('storage/carImages/' . $customerInfo->passengerSide)); ?>" style="width: 100px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>Interior Dash</th>
                                        <td>
                                            <img src="<?php echo e(asset('storage/carImages/' . $customerInfo->interiorDash)); ?>" style="width: 100px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>Interior Front</th>
                                        <td>
                                            <img src="<?php echo e(asset('storage/carImages/' . $customerInfo->interiorFront)); ?>" style="width: 100px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>Interior Rear Seats</th>
                                        <td>
                                            <img src="<?php echo e(asset('storage/carImages/' . $customerInfo->interiorRearSeats)); ?>" style="width: 100px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>Interior Trunk</th>
                                        <td>
                                            <img src="<?php echo e(asset('storage/carImages/' . $customerInfo->interiorTrunk)); ?>" style="width: 100px;" />
                                        </td>
                                    </tr>
                                    <?php endif; ?>
                                    <tr>
                                        <th>Mileage</th>
                                        <td><?php echo e($customerInfo->mileage); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Customer Mobile</th>
                                        <td><?php echo e($customerInfo->customerMobile); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Customer Request Timestamp</th>
                                        <td><?php echo e($customerInfo->requestTimestamp); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Manager Appraisal Request Text Opened Timestamp</th>
                                        <td><?php echo e($customerInfo->textOpenedTimestamp); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Manager Appraisal Offer Submitted Timestamp</th>
                                        <td><?php echo e($customerInfo->offerSubmittedTimestamp); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Appraisal Offer Amount</th>
                                        <td>&#36; <?php echo e($customerInfo->offerAmount); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Employee Mobile</th>
                                        <td><?php echo e($customerInfo->employeeMobile); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Customer Appraisal Offer Text Opened Timestamp</th>
                                        <td><?php echo e($customerInfo->customerTextOpenedTimestamp); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Customer Offer Accepted</th>
                                        <td><?php echo e($customerInfo->offerAccepted); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Customer Offer Accepted Timestamp</th>
                                        <td><?php echo e($customerInfo->offerAcceptedTimestamp); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Customer Offer Accepted Timestamp</th>
                                        <td><?php echo e($customerInfo->offerAcceptedTimestamp); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Customer Offer Accepted Timestamp</th>
                                        <td><?php echo e($customerInfo->offerAcceptedTimestamp); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Appraisal Offer Accepted Price</th>
                                        <td>&#36; <?php echo e($customerInfo->offerAcceptedPrice); ?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\driveMVP\resources\views/admin/reports/serviceInfo.blade.php ENDPATH**/ ?>