<?php $__env->startSection('title'); ?>
Customers Report
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6">
                <h5>Customers Report</h5>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('dashboard')); ?>">Home</a></li>
                    <li class="breadcrumb-item">Reports</li>
                    <li class="breadcrumb-item active">Customers</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">              
                <?php if(session('success')): ?>
                <div class="alert alert-success alert-dismissible fade show" role="alert" id="flash-message">
                    <?php echo e(session('success')); ?>

                </div>
                <?php endif; ?>
                <?php if(session('error')): ?>
                <div class="alert alert-danger alert-dismissible fade show" role="alert" id="flash-message">
                    <?php echo e(session('error')); ?>

                </div>
                <?php endif; ?>
            </div>
            
            <div class="col-12">
                <div class="card card-outline card-maroon">
                    <div class="card-header">
                        <div class="title">
                            <h3 class="card-title text-maroon">Customers</h3>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <form action="" method="GET">
                            <div class="row">
                                <div class="col-2 form-group">
                                    <label for="from">From</label>
                                    <input type="date" name="from" value="<?php echo e(request('from') ? request('from') : date('Y-m-d')); ?>" id="from" class="form-control form-control-sm" title="From" />
                                </div>
                                <div class="col-2 form-group">
                                    <label for="to">To</label>
                                    <input type="date" name="to" value="<?php echo e(request('to') ? request('to') : date('Y-m-d')); ?>" id="to" class="form-control form-control-sm" title="To" />
                                </div>
                                <div class="col-2 form-group">
                                    <label for="dealerId">Dealers</label>
                                    <select name="dealerId" id="dealerId" class="form-control form-control-sm" title="Dealers">
                                        <option value="All" <?php echo e(request('dealerId') == 'All' ? 'selected' : ''); ?>>All</option>
                                        <?php $__currentLoopData = $dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($dealer->url); ?>" <?php echo e(request('dealerId') == $dealer->url ? 'selected' : ''); ?>><?php echo e($dealer->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="col-2 form-group">
                                    <label for="managerId">Managers</label>
                                    <select name="managerId" id="managerId" class="form-control form-control-sm" title="Managers">
                                        <option value="All" <?php echo e(request('managerId') == 'All' ? 'selected' : ''); ?>>All</option>
                                        <?php $__currentLoopData = $managers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $manager): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($manager->id); ?>" <?php echo e(request('managerId') == $manager->id ? 'selected' : ''); ?>><?php echo e($manager->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="col-2">
                                    <div class="form-group" style="margin-top: 31px;">
                                        <button type="submit" class="btn btn-sm bg-maroon">
                                            <i class="fa fa-search"></i>
                                        </button>
                                        <a href="<?php echo e(url('/reports/customers')); ?>" class="btn btn-danger btn-sm" title="Refresh">
                                            <i class="fa fa-times"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead class="bg-maroon">
                                    <tr>
                                        <th>Sr</th>
                                        <th>Date</th>
                                        <th>Customer Id</th>
                                        <th>Mobile</th>
                                        <th>License Plate</th>
                                        <th>State</th>
                                        <th>Model</th>
                                        <th>Amount</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        $totalOfferAmount = 0;
                                    ?>
                                    <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $totalOfferAmount +=  (int)  $customer->offerAmount;
                                            $totalOfferPrice +=  (int)  $customer->offerAcceptedPrice;
                                        ?>
                                    <tr>
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e(date('d-m-Y', strtotime($customer->date))); ?></td>
                                        <td><?php echo e($customer->customerId); ?></td>
                                        <td><?php echo e($customer->customerMobile); ?></td>
                                        <td><?php echo e($customer->licensePlate); ?></td>
                                        <td><?php echo e($customer->state); ?></td>
                                        <td><?php echo e($customer->model); ?></td>                                        
                                        <td>&#36; <?php echo e($customer->offerAmount); ?></td>
                                        <td>
                                            <a href="<?php echo e(url('/reports/serviceInfo/' . $customer->id)); ?>" class="btn btn-info btn-sm" title="Information">
                                                <i class="fa fa-info-circle"></i>
                                            </a>
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th colspan="7" style="text-align: right;">Total</th>
                                        <th><i class="fa fa-dollar-sign"></i> <?php echo e($totalOfferAmount); ?></th>
                                        <th colspan="2"></th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.table-responsive -->
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->        
    </div><!-- /.container-fluid -->
</section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javaScript'); ?>
<script type="text/javascript">
    $(function () {
        $("table").DataTable({
            "responsive": true,
            "lengthChange": false,
            "autoWidth": false,
            "pageLength": 20,
            "lengthMenu": [[20, 50, 100, -1], [20, 50, 100, "All"]],
            "buttons": ["copy", "excel", "pdf", "print", "pageLength"]
        }).buttons().container().appendTo('#DataTables_Table_0_wrapper .col-md-6:eq(0)');
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\driveMVP\resources\views/admin/reports/customers.blade.php ENDPATH**/ ?>