<?php $__env->startSection('title'); ?>
vehicle Images
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<style>
.vehicleview-img img {
    width: 100%; /* Ensure the image takes the full width of the container */
    height: auto; /* Maintain the aspect ratio */
    max-height: 200px; /* Set a maximum height for the image */
    object-fit: contain; /* Make sure the entire image is visible */
    display: none; /* Initially hide the image */
}

.vehicleview-img img.show {
    display: block; /* Show the image when it has the 'show' class */
}

    .readolny-radio{
         pointer-events: none;
         opacity: .5;
        } 
    
</style>

<div class="back-btn-d">
    <a href="javascript:history.back()" class="back-btn">
        <i class="fa fa-chevron-circle-left"></i> Back to previous screen
    </a>
</div>

<div class="form-group mt-3">
    <label class="text-center">Is your car currently being serviced?</label>
    <div class="row">
        <div class="col-6">
            <div class="form-check justify-content-center">
                <input class="form-check-input readolny-radio" type="radio" name="carService" value="Yes" id="che001" <?php echo e((session()->get('carService') == 'Yes') ? 'checked' : ''); ?> required>
                <label class="form-check-label" for="che001">Yes</label>
            </div>
        </div>
        <div class="col-6">
            <div class="form-check justify-content-center">
                <input class="form-check-input readolny-radio"  type="radio" name="carService"  value="No" id="che002" <?php echo e((session()->get('carService') == 'No') ? 'checked' : ''); ?> required>
                <label class="form-check-label" for="che002">No</label>
            </div>
        </div>
    </div>
</div>
<p>Please upload a few pictures of your car. Quality pictures help get the highest offer for your car.</p>
<?php if(session('success')): ?>
<div class="alert alert-success">
    <?php echo e(session('success')); ?>

</div>
<?php endif; ?>

<?php if($errors->any()): ?>
<div class="alert alert-danger">
    <?php echo e($errors->first()); ?>

</div>
<?php endif; ?>
    <div class="btn btn-success w-100" id="appraisalRequest"style="margin-bottom:10px;" >Final Step</div>

    <form action="<?php echo e(url('/vehicleImageUpload')); ?>" method="POST" enctype="multipart/form-data" autocomplete="off" id="vehicleImageForm">
        <?php echo csrf_field(); ?>
        <div class="row">
            <?php
            $imageTitles = [
                1 => 'Front View Exterior',
                2 => 'Driver’s Side Exterior',
                3 => 'Rear View Exterior',
                4 => 'Passenger Side Exterior',
                5 => 'Interior Dash',
                6 => 'Interior Front Seats',
                7 => 'Interior Rear Seats',
                8 => 'Interior Trunk'
            ];
        ?>
            <?php for($i = 1; $i <= 8; $i++): ?>
            <div class="col-12 col-md-4">
                <div class="vehicle-img-box">
                    <div class="vehicleview-img">
                        <h6><?php echo e($imageTitles[$i]); ?> (required)</h6>
                        <img src="" id="preview<?php echo e($i); ?>">
                    </div>
                    <input type="file" accept="image/*" id="cameraInput<?php echo e($i); ?>" name="image<?php echo e($i); ?>" style="display:none;" capture="camera">
                    <a href="#" class="btn btn-primary w-100" id="openCamera<?php echo e($i); ?>">Click for Camera</a>
                    <a href="#" class="btn btn-success w-100" id="imageUploaded<?php echo e($i); ?>" style="display:none;">Complete (Click To Retake Photo)</a>
                </div>
            </div>
        <?php endfor; ?>

        </div>

        <div class="form-group">
            <label>What is the mileage of your car? (required)</label>
            <input class="form-control" type="text" name="mileage" id ="mileage" value="" required>
        </div>

        <div class="submitbtn">
            <button type="submit" class="btn btn-primary w-100" id="submit">Get Cash Offer (Click Here)</button>
        </div>
    <div class="btn btn-success w-100" id="appraisalRequestsent" style="display:none;">Appraisal Confirmed (Text Message Sent)</div>

    </form>
<p class="text-center mt-2 small-text">By clicking “Get Cash Offer” you accept our Terms of Use and have read and understood the Privacy Policy.</p>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javaScript'); ?>
<script type="text/javascript">
$(document).ready(function () {
    function checkFormValidity() {
        var isValid = true;
        for (let i = 1; i <= 8; i++) {
            if ($(`#cameraInput${i}`).get(0).files.length === 0) {
                isValid = false;
                break;
            }
        }
        var mileage = $('#mileage').val();
        if (mileage === '') {
            isValid = false;
        }
        $('#submit').attr('disabled', !isValid);
    }

    checkFormValidity();

    $('#mileage').on('keyup', function() {
        checkFormValidity();
    });

    for (let i = 1; i <= 8; i++) {
        $(`#openCamera${i}`).click(function(e) {
            e.preventDefault();
            $(`#cameraInput${i}`).click();
        });

        $(`#cameraInput${i}`).change(function() {
            var file = this.files[0];
            if (file) {
                var fileType = file.type;
                var fileName = file.name;
                var fileExtension = fileName.split('.').pop().toLowerCase();
                var validImageTypes = ['image/jpeg', 'image/jpg', 'image/png'];
                var validExtensions = ['jpeg', 'jpg', 'png'];

                if (!validImageTypes.includes(fileType) || !validExtensions.includes(fileExtension)) {
                    alert('Invalid file type. Please upload an image file (jpg, jpeg, png).');
                    this.value = ''; // Clear the input
                    $(`#preview${i}`).removeClass('show').attr('src', '');
                    $(`#openCamera${i}`).show();
                    $(`#imageUploaded${i}`).hide();
                    checkFormValidity();
                    return;
                }

                var reader = new FileReader();
                reader.onload = function(e) {
                    $(`#preview${i}`).attr('src', e.target.result).addClass('show');
                    $(`#openCamera${i}`).hide();
                    $(`#imageUploaded${i}`).show();
                    checkFormValidity();
                }
                reader.readAsDataURL(file);
            } else {
                checkFormValidity();
            }
        });

        $(`#imageUploaded${i}`).click(function(e) {
            e.preventDefault();
            $(`#cameraInput${i}`).click();
        });
    }
});


// $('#submit').click(function (e) {
//         e.preventDefault(); // Prevent the form from submitting immediately

//         $('#appraisalRequestsent').show(); // Show the success message

//         setTimeout(function(){
//             $('#vehicleImageForm').submit(); // Replace 'yourFormId' with the actual ID of your form
//         }, 3000); // 3-second delay
//     });

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('home.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\driveMVP\resources\views/home/serviceNoFile/vehicleImage.blade.php ENDPATH**/ ?>