<?php $__env->startSection('title'); ?>
Dashboard
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
      
        <div class="row">
          
            <div class="col-sm-6">
                <h5>Dashboard</h5>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('dashboard')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">Dashboard</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">              
                <?php if(session('success')): ?>
                <div class="alert alert-success alert-dismissible fade show" role="alert" id="flash-message">
                    <?php echo e(session('success')); ?>

                </div>
                <?php endif; ?> 
                <?php if(session('error')): ?>
                <div class="alert alert-danger alert-dismissible fade show" role="alert" id="flash-message">
                    <?php echo e(session('error')); ?>

                </div>
                <?php endif; ?>          
            </div>
        </div>
        <!-- /.row -->
        <div class="row">
            <div class="col-lg-3 col-6">
                <!-- small box -->
                <div class="small-box bg-info">
                    <div class="inner">
                        <h3><?php echo e($dealers); ?></h3>
                        <p>Dealers</p>
                    </div>
                    <div class="icon">
                        <i class="fa fa-user"></i>
                    </div>
                    <a href="<?php echo e(url('dealers')); ?>" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
                </div>
            </div>
            <!-- ./col -->
            <div class="col-lg-3 col-6">
                <!-- small box -->
                <div class="small-box bg-success">
                    <div class="inner">
                        <h3><?php echo e($managers); ?></h3>
                        <p>Managers</p>
                    </div>
                    <div class="icon">
                        <i class="fa fa-users"></i>
                    </div>
                    <a href="<?php echo e(url('managers')); ?>" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
                </div>
            </div>
            <!-- ./col -->
            <div class="col-lg-3 col-6">
                <!-- small box -->
                <div class="small-box bg-danger">
                    <div class="inner">
                        <h3><?php echo e($vehicles); ?></h3>
                        <p>Vehicles</p>
                    </div>
                    <div class="icon">
                        <i class="fa fa-car"></i>
                    </div>
                    <a href="<?php echo e(url('/reports/vehicles')); ?>" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
                </div>
            </div>
            <!-- ./col -->
            <div class="col-lg-3 col-6">
                <!-- small box -->
                <div class="small-box bg-navy">
                    <div class="inner">
                        <h3><?php echo e($totalServiced); ?></h3>
                        <p>Customers</p>
                    </div>
                    <div class="icon">
                        <i class="fa fa-user-circle"></i>
                    </div>
                    <a href="<?php echo e(url('/reports/customers')); ?>" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
                </div>
            </div>
            <!-- ./col -->
        </div>
        <!-- /.row -->
        <div class="row">
            <div class="col-6">
                <div class="card card-outline card-purple">
                    <div class="card-header border-transparent">
                        <h3 class="card-title text-purple">Today's Customers</h3>
                        <a href="<?php echo e(url('/reports/customers/')); ?>" class="btn btn-sm btn-secondary float-right">
                            View All Customers
                        </a>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body p-0">
                        <div class="table-responsive">
                            <table class="table m-0">
                                <thead class="bg-purple">
                                    <tr>
                                        <th style="white-space: nowrap;">Customer Id</th>
                                        <th>Mobile</th>
                                        <th style="white-space: nowrap;">License Plate</th>
                                        <th>State</th>
                                        <th>Amount</th>
                                        <th>Price</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        $totalAmount = 0;
                                        $totalPrice = 0; 
                                    ?>
                                    <?php $__currentLoopData = $todaysCustomers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                    $totalAmount += (int) $customer->offerAmount;
                                    $totalPrice += (int) $customer->offerAcceptedPrice;
                                ?>
                                    <tr>
                                        <td>
                                            <a href="javascript:void(0);" onclick="getCustomerVehicleInfo(<?php echo e($customer->id); ?>);" class="btn btn-info btn-sm" title="Information">
                                                <?php echo e($customer->customerId); ?>

                                            </a>
                                        </td>
                                        <td><?php echo e($customer->customerMobile); ?></td>
                                        <td><?php echo e($customer->licensePlate); ?></td>
                                        <td><?php echo e($customer->state); ?></td>
                                        <td><i class="fa fa-dollar-sign"></i> <?php echo e($customer->offerAmount); ?></td>
                                        <td><i class="fa fa-dollar-sign"></i> <?php echo e($customer->offerAcceptedPrice); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th colspan="4" style="text-align: right;">Total</th>
                                        <th><i class="fa fa-dollar-sign"></i> <?php echo e($totalAmount); ?></th>
                                        <th><i class="fa fa-dollar-sign"></i> <?php echo e($totalPrice); ?></th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.table-responsive -->
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer clearfix">
                        
                    </div>
                    <!-- /.card-footer -->
                </div>
            </div>
            <!-- /.col -->
            <div class="col-6">
                <div class="card card-outline card-danger">
                    <div class="card-header border-transparent">
                        <h3 class="card-title text-danger">Customer Sources</h3>
                        <a href="<?php echo e(url('/reports/customers/')); ?>" class="btn btn-sm btn-secondary float-right">
                            View All Customers
                        </a>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body p-0">
                        <div class="table-responsive">
                            <table class="table m-0">
                                <thead class="bg-danger">
                                    <tr>
                                        <th style="white-space: nowrap;">Source Type</th>
                                        <th>Total</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        $total = 0;
                                    ?>
                                    <?php $__currentLoopData = $CustomerSources; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customerData): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $total += $customerData->sourceTotal;
                                    ?>
                                    <tr>
                                        <td><?php echo e($customerData->sourceType); ?></td>
                                        <td><?php echo e($customerData->sourceTotal); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th>Total</th>
                                        <th><?php echo e($total); ?></th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.table-responsive -->
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer clearfix">
                        
                    </div>
                    <!-- /.card-footer -->
                </div>                
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </div><!-- /.container-fluid -->
</section>

<div class="modal fade" id="customerInfo" tabindex="-1" role="dialog" aria-labelledby="customerInfo" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content"></div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javaScript'); ?>
<script type="text/javascript">
    const getCustomerVehicleInfo = (customerId) => {
        $("#customerInfo .modal-dialog .modal-content").load("<?php echo e(url('reports/customerInfo')); ?>/" + customerId);
        $('#customerInfo').modal('show');        
    };
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\driveMVP\resources\views/admin/dashboard.blade.php ENDPATH**/ ?>