<?php $__env->startSection('title'); ?>
Profile
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6">
                <h5>Profile</h5>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('dashboard')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">Profile</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-3">
                <!-- Profile Image -->
                <div class="card card-primary card-outline">
                    <div class="card-body box-profile">
                        <div class="text-center">
                            <img class="profile-user-img img-fluid img-circle" src="<?php echo e(Auth::check() && Auth::user()->profile ? asset('storage/assets/images/'. Auth::user()->profile) : asset('assets/images/avatar.png')); ?>" alt="User-profile-picture" />
                        </div>
                        <h3 class="profile-username text-center"><?php echo e((Auth::check()) ?  Auth::user()->name : ''); ?></h3>
                        <p class="text-muted text-center"><?php echo e((Auth::check()) ?  Auth::user()->roleType : ''); ?></p>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
            <div class="col-md-9">
                <div class="card card-danger card-outline">
                    <div class="card-header">
                        <div class="title">
                            <h3 class="card-title">Update Profile</h3>
                        </div>
                    </div><!-- /.card-header -->
                    <div class="card-body">
                        <form action="<?php echo e(url('user/updateProfile')); ?>" method="POST" enctype="multipart/form-data" class="form-horizontal">
                           
                            <?php echo csrf_field(); ?>
                            <div class="form-group row">
                                <label for="name" class="col-sm-2 col-form-label">Name <span class="text-danger">*</span></label>
                                <div class="col-sm-10">
                                    <input type="text" name="name" value="<?php echo e((Auth::check()) ? Auth::user()->name : ''); ?>" id="name" class="form-control form-control-sm" placeholder="Name" required="" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="email" class="col-sm-2 col-form-label">Email</label>
                                <div class="col-sm-10">
                                    <input type="text" name="email" value="<?php echo e((Auth::check()) ? Auth::user()->email : ''); ?>" id="email" class="form-control form-control-sm" placeholder="Email" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="countryCode" class="col-sm-2 col-form-label">Country Code <span class="text-danger">*</span></label>
                                <div class="col-sm-10">
                                    <?php echo countrySelect($selectedCountryCode='+1'); ?>

                                    <span class="text-danger">
                                        <?php $__errorArgs = ['countryCode'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="mobile" class="col-sm-2 col-form-label">Mobile <span class="text-danger">*</span></label>
                                <div class="col-sm-10">
                                    <input type="tel" name="mobile" value="<?php echo e((Auth::check()) ? Auth::user()->mobile : ''); ?>" id="mobile" class="form-control form-control-sm" placeholder="Mobile" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="profile" class="col-sm-2 col-form-label">Profile</label>
                                <div class="col-sm-10">
                                    <input type="file" name="profile" id="profile" class="form-control form-control-sm" value="<?php echo e((Auth::check()) ? Auth::user()->profile : ''); ?>"/>
                                    <input type="hidden" name="oldProfile" value="<?php echo e(old('oldProfile')); ?>" id="oldProfile" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['profile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="offset-sm-2 col-sm-10">
                                    <button type="submit" class="btn btn-danger">Save Changes</button>
                                </div>
                            </div>
                        </form>
                    </div><!-- /.card-body -->
                </div>
                <!-- /.card -->
                <div class="card card-secondary card-outline">
                    <div class="card-header">
                        <div class="title">
                            <h3 class="card-title">Change Password</h3>
                        </div>
                    </div><!-- /.card-header -->
                    <div class="card-body">
                        <form action="<?php echo e(url('user/changePassword')); ?>" method="POST" class="form-horizontal">
                            <?php echo csrf_field(); ?>

                            <div class="form-group row">
                                <label for="currentPassword" class="col-sm-3 col-form-label">Current Password <span class="text-danger">*</span></label>
                                <div class="col-sm-9">
                                    <input type="password" name="currentPassword" value="<?php echo e(old('currentPassword')); ?>" id="currentPassword" class="form-control form-control-sm" placeholder="Current Password" required="" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['currentPassword'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="newPassword" class="col-sm-3 col-form-label">New Password <span class="text-danger">*</span></label>
                                <div class="col-sm-9">
                                    <input type="password" name="newPassword" value="<?php echo e(old('newPassword')); ?>" id="newPassword" class="form-control form-control-sm" placeholder="New Password" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['newPassword'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="confirmPassword" class="col-sm-3 col-form-label">Confirm Password <span class="text-danger">*</span></label>
                                <div class="col-sm-9">
                                    <input type="password" name="confirmPassword" value="<?php echo e(old('confirmPassword')); ?>" id="confirmPassword" class="form-control form-control-sm" placeholder="Confirm Password" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['confirmPassword'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="offset-sm-2 col-sm-10">
                                    <button type="submit" class="btn btn-secondary">Save Changes</button>
                                </div>
                            </div>
                        </form>
                    </div><!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </div><!-- /.container-fluid -->
</section>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\driveMVP\resources\views/admin/users/profile.blade.php ENDPATH**/ ?>