<?php $__env->startSection('title'); ?>
Create Manager
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6">
                <h5>Create Manager</h5>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('dashboard')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">Create Manager</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">                   
                <?php if(session('success')): ?>
                <div class="alert alert-success alert-dismissible fade show" role="alert" id="flash-message">
                    <?php echo e(session('success')); ?>

                </div>
                <?php endif; ?>  
                <?php if(session('fail')): ?>
                <div class="alert alert-danger alert-dismissible fade show" role="alert" id="flash-message">
                    <?php echo e(session('fail')); ?>

                </div>
                <?php endif; ?>
            </div>
            <div class="col-12">
                <form action="<?php echo e(url('managers/save')); ?>" enctype="multipart/form-data" method="POST" autocomplete="off">
                    <?php echo csrf_field(); ?>
                    <div class="card card-outline card-primary">
                        <div class="card-header">
                            <div class="title">
                                <h3 class="card-title text-primary">Create</h3>
                            </div>
                            <a href="<?php echo e(url('managers')); ?>" class="btn btn-xs btn-primary float-right" title="Back">
                                <i class="fa fa-angle-double-left"></i> Back
                            </a>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-3 col-lg-3 col-sm-3 col-xs-3 col-xxl-3 col-xl-3">
                                    <label>Name <span class="text-danger">*</span></label>
                                    <input type="text" name="name" value="<?php echo e(old('name')); ?>" id="name" class="form-control form-control-sm" placeholder="Name" required="" autocomplete="off" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                                <div class="col-md-3 col-lg-3 col-sm-3 col-xs-3 col-xxl-3 col-xl-3">
                                    <label>Email <span class="text-danger">*</span></label>
                                    <input type="email" name="email" value="<?php echo e(old('email')); ?>" id="email" class="form-control form-control-sm" placeholder="Email" required="" autocomplete="off" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                                <div class="col-md-3 col-lg-3 col-sm-3 col-xs-3 col-xxl-3 col-xl-3">
                                    <label for="countryCode">Country Code <span class="text-danger">*</span></label>
                                    <?php echo countrySelect($selectedCountryCode='+1'); ?>

                                    <span class="text-danger">
                                        <?php $__errorArgs = ['countryCode'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>                                    
                                </div>
                                <div class="col-md-3 col-lg-3 col-sm-3 col-xs-3 col-xxl-3 col-xl-3">
                                    <label>Mobile <span class="text-danger">*</span></label>
                                    <input type="number" name="mobile" value="<?php echo e(old('mobile')); ?>" id="number" class="form-control form-control-sm" placeholder="Mobile" required="" autocomplete="off" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                                <div class="col-md-3 col-lg-3 col-sm-3 col-xs-3 col-xxl-3 col-xl-3">
                                    <label>Profile Image</label>
                                    <input type="file" name="profile" id="profile" class="form-control form-control-sm" accept="image/*" title="profile Image" />
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['profile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                                <div class="col-md-3 col-lg-3 col-sm-3 col-xs-3 col-xxl-3 col-xl-3">
                                    <label>Select Dealer <span class="text-danger">*</span></label>
                                    <select name="dealerId" id="dealerId" class="form-control form-control-sm" required="">
                                        <?php $__currentLoopData = $Dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($dealer->id); ?>" <?php echo e(old('dealerId') == $dealer->id ? 'selected' : ''); ?>><?php echo e($dealer->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                                        
                                    </select>
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['dealerId'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div> 
                            </div>
                        </div>
                        <div class="card-footer">
                            <button type="submit" class="btn btn-primary btn-sm">
                                Save
                            </button>
                            <button type="reset" class="btn btn-danger btn-sm">
                                Reset
                            </button>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </form>
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->        
    </div><!-- /.container-fluid -->
</section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javaScript'); ?>
<script type="text/javascript">

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\driveMVP\resources\views/admin/manager/create.blade.php ENDPATH**/ ?>