<div class="modal-header">
    <h5 class="modal-title">Dealer Information</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class="row">
        <div class="col-md-12">
            <div class="table-responsive">
                <table class="table table-bordered table-sm">
                    <thead class="bg-purple text-white">
                        <tr>
                            <th>Field Name</th>
                            <th>Column Data</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <th>Name</th>
                            <td><?php echo e($user->name); ?></td>
                        </tr>
                        <tr>
                            <th>Email</th>
                            <td><?php echo e($user->email); ?></td>
                        </tr>
                        <tr>
                            <th>Mobile Number</th>
                            <td><?php echo e($user->countryCode . $user->mobile); ?></td>
                        </tr>
                        <tr>
                            <th>Logo Image</th>
                            <td>
                                <?php if($user->profile): ?>
                                <img src="<?php echo e(asset('storage/assets/images/' . $user->profile)); ?>" alt="Logo-Image" style="width: 100px; height: auto; border-radius: 5px;" />
                                <?php else: ?>
                                <img src="<?php echo e(asset('assets/images/avatar.png')); ?>" alt="default-Image" style="width: 100px; height: auto; border-radius: 5px;" />
                                <?php endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <th>Street</th>
                            <td><?php echo e($user->street); ?></td>
                        </tr>
                        <tr>
                            <th>City</th>
                            <td><?php echo e($user->city); ?></td>
                        </tr>
                        <tr>
                            <th>State</th>
                            <td><?php echo e(get_title('states', ['id' => $user->state], 'name')); ?></td>
                        </tr>
                        <tr>
                            <th>Zip</th>
                            <td><?php echo e($user->zip); ?></td>
                        </tr>
                        <tr>
                            <th>country</th>
                            <td><?php echo e(get_title('country', ['id' => $user->country], 'nicename')); ?></td>
                        </tr>
                        <tr>
                            <th>QR Code</th>
                            <td>
                                <?php if($user->qrcode): ?>
                                <img src="<?php echo e(asset('storage/assets/qrcodes/' . $user->qrcode)); ?>" alt="qr-code" style="width: 100px; height: auto; border-radius: 5px;" />                                
                                <?php endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <th>Dealer URL</th>
                            <td>
                                QR Url : 
                                <a href="<?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=qr')); ?>" target="_blank" title="Dealer URL">
                                    <?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=qr')); ?>

                                </a>
                                <button class="btn btn-info btn-xs" title="Copy URL" onclick="copyToClipboard('<?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=qr')); ?>');">
                                    <i class="fa fa-copy"></i>
                                </button>
                                <br />
                                Website Url : 
                                <a href="<?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=web')); ?>" target="_blank" title="Dealer URL">
                                    <?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=web')); ?>

                                </a>
                                <button class="btn btn-info btn-xs" title="Copy URL" onclick="copyToClipboard('<?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=web')); ?>');">
                                    <i class="fa fa-copy"></i>
                                </button>                                
                                <br />
                                Text Url : 
                                <a href="<?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=text')); ?>" target="_blank" title="Dealer URL">
                                    <?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=text')); ?>

                                </a>
                                <button class="btn btn-info btn-xs" title="Copy URL" onclick="copyToClipboard('<?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url . '&sourceType=text')); ?>');">
                                    <i class="fa fa-copy"></i>
                                </button>                                
                                <br />
                                Other Url : 
                                <a href="<?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url)); ?>" target="_blank" title="Dealer URL">
                                    <?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url)); ?>

                                </a>
                                <button class="btn btn-info btn-xs" title="Copy URL" onclick="copyToClipboard('<?php echo e(url('/VehicleAppraisal?dealerId=' . $user->url)); ?>');">
                                    <i class="fa fa-copy"></i>
                                </button>                                
                            </td>
                        </tr>
                        <tr>
                            <th>Status</th>
                            <td>
                                <label for="" class="btn btn-xs <?php echo e($user->status == '1' ? 'bg-success' : 'bg-danger'); ?>">
                                    <?php if($user->status == '1'): ?>
                                        <i class="fa fa-thumbs-up"></i>  Active
                                    <?php else: ?>
                                        <i class="fa fa-ban"></i>  Inactive
                                    <?php endif; ?>
                                </label>
                            </td>                        </tr>
                        <tr>
                            <th>Created</th>
                            <td><?php echo e($user->created); ?></td>
                        </tr>
                        <tr>
                            <th>Created By</th>
                            <td><?php echo e($user->createdBy); ?></td>
                        </tr>
                        <tr>
                            <th>Updated</th>
                            <td><?php echo e($user->updated); ?></td>
                        </tr>
                        <tr>
                            <th>Updated By</th>
                            <td><?php echo e($user->updatedBy); ?></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Close</button>
</div><?php /**PATH C:\wamp64\www\driveMVP\resources\views/admin/users/info.blade.php ENDPATH**/ ?>